#include "downloader.h"

#ifndef DOWNLOAD_SERVER
#define DOWNLOAD_SERVER "https://www.intevation.de"
#endif

#ifdef Q_OS_WIN
#endif

#include <QFile>
#include <QDebug>

Downloader::Downloader(QObject* parent, const QString& url)
{
    QFile certResource(":certificates/https");
    certResource.open(QFile::ReadOnly);
    Downloader (parent, url, certResource.readAll());
}

Downloader::Downloader(QObject* parent, const QString& url,
                       const QByteArray& certificate) :
    mUrl(url),
    mCert(certificate),
    QThread(parent)
{
}

